%global shortname pixel-saver
%global uuid %{shortname}@deadalnix.me
Name:		gnome-shell-extension-%{shortname}
Version:	1.10
Release:	1%{?dist}
Summary:	A GNOME Shell extension designed to save pixels by fusing activity and title bar
BuildArch:	noarch

License:	GPLv3
URL:		https://github.com/deadalnix/pixel-saver
Source0:	%{url}/archive/%{version}/%{shortname}-%{version}.tar.gz

Requires:	gnome-shell > 3.15
Requires:	xorg-x11-utils

%description
Pixel Saver is an extension for GNOME Shell that merges the activity bar and title bar of maximized windows. It is especially interesting for small screens.


%prep
%setup -q -n %{shortname}-%{version}


%build
# nothing to build

%global extensiondir %{_datadir}/gnome-shell/extensions/%{uuid}

%install
mkdir -p %{buildroot}/%{extensiondir}
cp --recursive --preserve=mode,timestamps %{uuid}/*  %{buildroot}/%{extensiondir}


%files
%doc README.md
%license LICENSE
%{extensiondir}


%changelog
* Wed Jul 19 2017 Oles Pidgornyy <pidgornyy@fedoraproject.org> - 0.8.0
- Initial release
